View Issue Details

IDProjectCategoryView StatusLast Update
0000890SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.8 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000890: The symmetricds client should always request UTF-8 character encoding. Also set -Dfile.encoding=utf-8
DescriptionThe symmetricds client should always request UTF-8 character encoding
TagsNo tags attached.

Activities

chenson

2012-12-16 12:32

administrator   ~0000153

Prepare for release

Related Changesets

SymmetricDS: master 1d0c931a

2012-11-08 18:15:09

chenson

Details Diff
0000890: The symmetricds client should always request UTF-8 character encoding. Also set -Dfile.encoding=utf-8
0000890
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-server/src/main/deploy/bin/sym Diff File
mod - symmetric-server/src/main/deploy/bin/sym.bat Diff File
mod - symmetric-server/src/main/deploy/conf/sym_service.conf Diff File

Issue History

Date Modified Username Field Change
2012-10-30 09:10 chenson New Issue
2012-11-08 18:13 chenson Assigned To => chenson
2012-11-08 18:13 chenson Status new => assigned
2012-11-08 18:14 chenson Summary The symmetricds client should always request UTF-8 character encoding => The symmetricds client should always request UTF-8 character encoding. Also set -Dfile.encoding=utf-8
2012-11-08 18:14 chenson Status assigned => resolved
2012-11-08 18:14 chenson Fixed in Version => 3.2.0
2012-11-08 18:14 chenson Resolution open => fixed
2012-12-16 12:32 chenson Note Added: 0000153
2012-12-16 12:32 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6496
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1d0c931a